View a markdown version of this page

UpdatePlaybackRestrictionPolicy - Amazon IVS

UpdatePlaybackRestrictionPolicy

Updates a specified playback restriction policy.

Request Syntax

POST /UpdatePlaybackRestrictionPolicy HTTP/1.1 Content-type: application/json { "allowedCountries": [ "string" ], "allowedOrigins": [ "string" ], "arn": "string", "enableStrictOriginEnforcement": boolean, "name": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

allowedCountries

A list of country codes that control geoblocking restriction. Allowed values are the officially assigned ISO 3166-1 alpha-2 codes. Default: All countries (an empty array).

Type: Array of strings

Length Constraints: Fixed length of 2.

Required: No

allowedOrigins

A list of origin sites that control CORS restriction. Allowed values are the same as valid values of the Origin header defined at https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Origin. Default: All origins (an empty array).

Type: Array of strings

Length Constraints: Minimum length of 0. Maximum length of 128.

Required: No

arn

ARN of the playback-restriction-policy to be updated.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: arn:aws:ivs:[a-z0-9-]+:[0-9]+:playback-restriction-policy/[a-zA-Z0-9-]+

Required: Yes

enableStrictOriginEnforcement

Whether channel playback is constrained by origin site. Default: false.

Type: Boolean

Required: No

name

Playback-restriction-policy name. The value does not need to be unique.

Type: String

Length Constraints: Minimum length of 0. Maximum length of 128.

Pattern: [a-zA-Z0-9-_]*

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "playbackRestrictionPolicy": { "allowedCountries": [ "string" ], "allowedOrigins": [ "string" ], "arn": "string", "enableStrictOriginEnforcement": boolean, "name": "string", "tags": { "string" : "string" } } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

playbackRestrictionPolicy

Object specifying the updated policy.

Type: PlaybackRestrictionPolicy object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

User does not have sufficient access to perform this action.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 403

ConflictException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Updating or deleting a resource can cause an inconsistent state.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 409

PendingVerification

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Your account is pending verification.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 403

ResourceNotFoundException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

Request references a resource which does not exist.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 404

ValidationException

accessControlAllowOrigin

accessControlExposeHeaders

cacheControl

contentSecurityPolicy

exceptionMessage

The input fails to satisfy the constraints specified by an AWS service.

strictTransportSecurity

xAmznErrorType

xContentTypeOptions

xFrameOptions

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: